Module ij
Package ij.io

# Class SaveDialog

java.lang.Object
ij.io.SaveDialog

public class SaveDialog extends Object
This class displays a dialog window from which the user can save a file.

## Constructor Summary

Constructors
Constructor
Description
`SaveDialog(String title, String defaultName, String extension)`
Displays a file save dialog with 'title' as the title, 'defaultName' as the initial file name, and 'extension' (e.g.
`SaveDialog(String title, String defaultDir, String defaultName, String extension)`
Displays a file save dialog, using the specified default directory and file name and extension.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDirectory()`
Returns the selected directory.
`String`
`getFileName()`
Returns the selected file name.
`static String`
`getPath(ImagePlus imp, String extension)`
`static String`
`setExtension(String name, String extension)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SaveDialog

public SaveDialog(String title, String defaultName, String extension)
Displays a file save dialog with 'title' as the title, 'defaultName' as the initial file name, and 'extension' (e.g. ".tif") as the default extension.

### SaveDialog

public SaveDialog(String title, String defaultDir, String defaultName, String extension)
Displays a file save dialog, using the specified default directory and file name and extension.

## Method Details

### setExtension

public static String setExtension(String name, String extension)

### getDirectory

public String getDirectory()
Returns the selected directory.

### getFileName

public String getFileName()
Returns the selected file name.

### getPath

public static String getPath(ImagePlus imp, String extension)